﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;

namespace XamDockManagerTesting
{
    /// <summary>
    /// Interaction logic for U1.xaml
    /// </summary>
    public partial class U1 : UserControl
    {
        WsModel model
        {
            get
            {
                return this.DataContext as WsModel;
            }
        }

        public U1()
        {
            InitializeComponent();
        }

        private void workspace_Loaded(object sender, RoutedEventArgs e)
        {
            if (!model.IsInit)
                return;
            model.IsInit = false;

            var fieldLayout = this.workspace.FieldLayouts.First();

            for(int i = 1; i<= 100;i++)
            {
                var parRec = new WsModel.ParameterRecord(i);
                var par = new XamDockManagerTesting.WsModel.ParameterRecord.ParameterValue(i.ToString(), i * 1.337);
                parRec.ParameterValues.Add("col1", par);
                model.DataSource.Add(parRec);
            }

            var uField = new UnboundField()
            {
                Name = "Col 1",
                Row = 0,
                Column = 1,
                BindingMode = BindingMode.TwoWay,
                BindingPath = new PropertyPath(String.Format("ParameterValues[col1].Value"))
            };

            var labelPresenterStyle = new Style();
            labelPresenterStyle.TargetType = typeof(LabelPresenter);
            uField.Settings.LabelPresenterStyle = labelPresenterStyle;

            var cellValueStyle = new Style();
            cellValueStyle.TargetType = typeof(CellValuePresenter);
            uField.Settings.CellValuePresenterStyle = cellValueStyle;

            // Add FieldLayout
            fieldLayout.Fields.Add(uField);
        }
    }
}
